__gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >(3cxx)

NAME
__gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc > - Node for splay tree.

SYNOPSIS

#include <node.hpp>

  Public Types

typedef _Alloc::template rebind< metadata_type >::other::const_reference metadata_const_reference
typedef _Alloc::template rebind< metadata_type >::other::reference metadata_reference
typedef Metadata metadata_type
typedef _Alloc::template rebind< splay_tree_node_< Value_Type, Metadata, _Alloc > >::other::pointer node_pointer
typedef Value_Type value_type

  Public Member Functions

metadata_reference get_metadata ()
metadata_const_reference get_metadata () const
bool special () const

  Public Attributes

metadata_type m_metadata
node_pointer m_p_left
node_pointer m_p_parent
node_pointer m_p_right
bool m_special
value_type m_value

Detailed Description

  template<typename Value_Type, class Metadata, typename _Alloc>
struct __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >"Node for splay tree.

Definition at line 50 of file splay_tree_/node.hpp.

Member Typedef Documentation

  template<typename Value_Type , class Metadata , typename _Alloc > typedef _Alloc::template rebind<metadata_type>::other::const_reference __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::metadata_const_reference

Definition at line 67 of file splay_tree_/node.hpp.

  template<typename Value_Type , class Metadata , typename _Alloc > typedef _Alloc::template rebind<metadata_type>::other::reference __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::metadata_reference

Definition at line 63 of file splay_tree_/node.hpp.

  template<typename Value_Type , class Metadata , typename _Alloc > typedef Metadata __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::metadata_type

Definition at line 54 of file splay_tree_/node.hpp.

  template<typename Value_Type , class Metadata , typename _Alloc > typedef _Alloc::template rebind<splay_tree_node_<Value_Type,Metadata,_Alloc>>::other::pointer __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::node_pointer

Definition at line 59 of file splay_tree_/node.hpp.

  template<typename Value_Type , class Metadata , typename _Alloc > typedef Value_Type __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::value_type

Definition at line 53 of file splay_tree_/node.hpp.

Member Function Documentation

  template<typename Value_Type , class Metadata , typename _Alloc > metadata_reference __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::get_metadata () [inline]

Definition at line 84 of file splay_tree_/node.hpp.

  template<typename Value_Type , class Metadata , typename _Alloc > metadata_const_reference __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::get_metadata () const [inline]

Definition at line 80 of file splay_tree_/node.hpp.

  template<typename Value_Type , class Metadata , typename _Alloc > bool __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::special () const [inline]

Definition at line 76 of file splay_tree_/node.hpp.

Member Data Documentation

  template<typename Value_Type , class Metadata , typename _Alloc > metadata_type __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::m_metadata

Definition at line 92 of file splay_tree_/node.hpp.

  template<typename Value_Type , class Metadata , typename _Alloc > node_pointer __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::m_p_left

Definition at line 89 of file splay_tree_/node.hpp.

  template<typename Value_Type , class Metadata , typename _Alloc > node_pointer __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::m_p_parent

Definition at line 91 of file splay_tree_/node.hpp.

  template<typename Value_Type , class Metadata , typename _Alloc > node_pointer __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::m_p_right

Definition at line 90 of file splay_tree_/node.hpp.

  template<typename Value_Type , class Metadata , typename _Alloc > bool __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::m_special

Definition at line 88 of file splay_tree_/node.hpp.

  template<typename Value_Type , class Metadata , typename _Alloc > value_type __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >::m_value

Definition at line 87 of file splay_tree_/node.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.